GET

https://send.now/api/file/rename?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz&name=My document

Parameters Description Example Format Required
key API-Key 1ltghrilhllgrx2b2 String yes
file_code File code eb58d02u8znz String yes
name The new file name My document String yes

cURL example


curl --include \
'https://send.now/api/file/rename?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz&name=My document'
          

Response


          {
            "status": 200,
            "server_time": "2024-08-26 12:19:28",
            "result": "true",
            "msg": "OK"
          }
          

Notice

Rename is the short form of Edit, which can also change the description, the public flag, the password and the price in the same call.

Status code

200 Everything is OK. Request succeeded
400 Bad request (e.g. wrong parameters)
403 Permission denied
404 File not found
451 Unavailable